# DesktopTaskBarItemControl

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [DesktopTaskBarItem](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md)
      * [DesktopTaskBarItemControl](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritemcontrol.md)

Represents a component in the [Desktop](/api/wisej.web/containers/desktop.md) control's taskbar that can host any [Control](/api/wisej.web/general/control.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class DesktopTaskBarItemControl : DesktopTaskBarItem
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DesktopTaskBarItemControl
    Inherits DesktopTaskBarItem
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DesktopTaskBarItemControl()

Initializes a new instance of [DesktopTaskBarItemControl](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritemcontrol.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Control

[Control](/api/wisej.web/general/control.md): Returns or sets the [Control](/api/wisej.web/general/control.md) to be hosted. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Parent

[Desktop](/api/wisej.web/containers/desktop.md): Returns the [Desktop](/api/wisej.web/containers/desktop.md) control that the taskbar item button is assigned to. (Default: `null`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) Dispose(disposing)

Disposes the page and related resources.

| Parameter     | Type                                                            | Description                                                                 |
| ------------- | --------------------------------------------------------------- | --------------------------------------------------------------------------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | true when this method is called by the application rather than a finalizer. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnAddReferences(items)

Adds references components to the list. Referenced components can be added individually or as a reference to a collection.

| Parameter | Type                                                                    | Description                                             |
| --------- | ----------------------------------------------------------------------- | ------------------------------------------------------- |
| **items** | [IList](https://docs.microsoft.com/dotnet/api/system.collections.ilist) | Container for the referenced components or collections. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebEvent(e)

Processes the event from the client.

| Parameter | Type                                                        | Description      |
| --------- | ----------------------------------------------------------- | ---------------- |
| **e**     | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | Event arguments. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritemcontrol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
